/*
  Test Ping Distance.c
  
  Measure and display Ping))) Ultrasonic Distance Sensor distance measurements.
  
  http://learn.parallax.com/propeller-c-simple-devices/sense-distance-ping
*/

#include "simpletools.h"                      // Include simpletools header
#include "ping.h"                             // Include ping header

serial *lcd;
const int ON = 22;
const int CLR = 12;

int main()                                    // main function
{
  while(1)                                    // Repeat indefinitely
  {
    int cmDist = ping_cm(15);                 // Get cm distance from Ping)))
    print("cmDist = %d\n", cmDist);           // Display distance
    pause(20);                               // Wait 1/5 second
    
    lcd = serial_open(12, 12, 0, 9600);
    writeChar(lcd, ON);
    writeChar(lcd, CLR);
    writeChar(lcd, 17);
    pause(10);
    dprint(lcd,"The distance is = %d"), cmDist;
    pause(200);
  }
}

